<?php  defined('SYSPATH') OR die('No direct access allowed.');
/**
 * System performance widget for tactical overview
 */
class Tac_hostperf_Widget extends widget_Base {
	protected $duplicatable = true;

	/**
	 * Return the default friendly name for the widget type
	 *
	 * default to the model name, but should be overridden by widgets.
	 */
	public function get_metadata() {
		return array_merge(parent::get_metadata(), array(
			'friendly_name' => 'Host performance',
			'instanceable' => true
		));
	}

	public function options() {
		$useless_hosts_array = Livestatus::instance()->getHosts(array('columns' => array('name')));
		$useful_hosts_array = array();
		foreach ($useless_hosts_array as $host_name) {
			$useful_hosts_array[$host_name['name']] = $host_name['name'];
		}

		$options = parent::options();
		$options[] = new option('tac_hostperf', 'host_name', 'Host to show', 'dropdown', array('options' => $useful_hosts_array), 'monitor');
		return $options;
	}

	public function index() {
		$arguments = $this->get_arguments();
		$host = $arguments['host_name'];
		$hidden = array();
		if (isset($arguments['hidden']))
			$hidden = explode(';', $arguments['hidden']);
		$services = Livestatus::instance()->getServices(array('filter' => array('host_name' => $host)));
		$this->js = array('js/tac_hostperf');
		$this->css = array('css/tac_hostperf');
		require('view.php');
	}
}
